ICC-4c C# SDK

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
ICC4cPwmSdk.Device.Ecc1cSdkDeviceController Class Reference
Inheritance diagram for ICC4cPwmSdk.Device.Ecc1cSdkDeviceController:

## Public Member Functions
| Ecc1cSdkDeviceController ()
bool | Connect (int port)
| Connects to the device through COM port.
void | Disconnect (bool cleanUp)
| Disconnects from the device.
bool | GoToDfuMode ()
| Switches device to DFU mode.
bool | ChangeModeToPro ()
| Switches device to PRO mode.
bool | ChangeModeToSimple ()
| Switches device to SIMPLE mode.
bool | IsConnected ()
| Returns true, if connection to device is established.
bool | Reconnect ()
| Reconnects to alGety connected device.
string | GetElectronicSerialNumber ()
| Returns serial number of the electronic.
string | GetLensSerialNumber ()
| Returns serial number of the connected lens.
EConnectedDeviceType | GetLensType ()
| Returns type of the product on specific channel.
int | GetBoardFirmwareId ()
| Returns firmware ID of the electronic.
int | GetBoardFirmwareBranch ()
| Returns branch ID of the electronic.
char | GetBoardFirmwareType ()
| Returns type of the electronic.
int | GetBoardFirmwareMajorVersion ()
| Returns firmware major version of the electronic.
int | GetBoardFirmwareMinorVersion ()
| Returns firmware minor version of the electronic.
int | GetBoardFirmwareRevisionVersion ()
| Returns firmware revision version of the electronic.
int | GetBoardFirmwareBuildVersion ()
| Returns firmware build version of the electronic.
string | GetFirmwareSerialNumber ()
| Returns firmware serial number.
string | GetGitHeadSha1 ()
| Returns Git Head SHA1.
IDeviceErrorState[] | GetDeviceStatus ()
| Returns states of the device.
void | ResetErrorFlags ()
| Resets error flag to 0.
EChannel | GetEepromActiveChannel ()
| Returns the active EEPROM channel.
void | SetBytes (int index, byte[] inputBytes)
| Sets EEPROM bytes of the product.
byte[] | GetBytes (int index, int length)
| Returns EEPROM bytes of the product.
int | GetEepromVersion ()
| Returns EEPROM version.
int | GetEepromSubVersion ()
| Returns EEPROM subversion.
int | GetPartConfiguration ()
| Returns part configuration value.
int | GetPartConfigurationVersion ()
| Returns part configuration version value.
float | GetMaxPositiveCurrent ()
| Returns max positive current.
float | GetMaxNegativeCurrent ()
| Returns max negative current.
int | GetOqcResult ()
| Returns OQC result of the device.
uint | GetProductionTimeStamp ()
| Returns production time stamp of the device.
void | LockDeviceEepromWriting ()
| Locks device EEPROM writing.
void | UnlockDeviceEepromWriting ()
| Unlocks device EEPROM writing.
void | ReparseDeviceEeprom ()
| Reparse device EEPROM.
int | GetDeviceEepromSize ()
| Returns EEPROM size of the device.
float | GetBoardOutputTemperature ()
| Returns board output temperature.
void | SetBoardOutputTemperatureThreshold (float temperatureThreshold)
| Sets board output temperature threshold.
float | GetBoardOutputTemperatureThreshold ()
| Returns board output temperature threshold.
float | GetBoardPowerTemperature ()
| Returns board power temperature.
void | SetBoardPowerTemperatureThreshold (float temperatureThreshold)
| Sets board power temperature threshold.
float | GetBoardPowerTemperatureThreshold ()
| Returns board power temperature threshold.
float | GetDeviceTemperature ()
| Returns device temperature.
void | SetDeviceTemperatureThreshold (float temperatureThreshold)
| Sets device temperature threshold.
float | GetDeviceTemperatureThreshold ()
| Returns board temperature threshold.
void | SetActiveSystem (EIcc4cControlModeSystems controlModeSystem)
| Sets active control mode system of the axis.
void | ChangeActiveSystem (EInputSignalStageSystem selectedInputStageSystem)
| Changes active input system of the channel.
float | GetCurrent ()
| Returns static input in amperes.
void | SetCurrent (float value)
| Sets static input in amperes.
float | GetDiopter ()
| Returns static input in dpt.
void | SetDiopter (float value)
| Sets static input in dpt.
float[] | GetVectorValues ()
| Returns list of vector values
void | SetVectorValues (float[] values, int startIndex=0)
| Sets list of vector values
void | SetUnitType (EICC4cPwmUnitType unit)
| Sets active unit type on channel.
void | SwitchArbitraryVector (bool running)
| Sets status of signal generator (running, stopped).
float | GetSampleRate ()
| Returns sample rate in Hz.
void | SetSampleRate (float value)
| Sets sample rate in Hz.
float | GetMinimumSamplingRate ()
| Returns minimum sampling rate in Hz.
float | GetMaximumSamplingRate ()
| Returns maximum sampling rate in Hz.
void | SwitchRunning (bool enable)
| Disable/enable signal generator (running, stopped).
ESignalGeneratorShape | GetShape ()
| Returns shape of waveform.
void | SetShape (ESignalGeneratorShape shape)
| Sets shape of waveform.
float | GetFrequency ()
| Returns frequency in Hz of generated signal.
void | SetFrequency (float value)
| Sets frequency in Hz of generated signal.
float | GetAmplitude ()
| Returns amplitude of generated signal.
void | SetAmplitude (float value)
| Sets amplitude of generated signal.
float | GetScale ()
| Returns multiplier of input.
void | SetScale (float value)
| Sets multiplier of input.
float | GetPhaseDelay ()
| Returns phase in rad of generated signal.
void | SetPhaseDelayDegrees (float phaseDelay)
| Sets phase in degrees of generated signal.
float | GetPhaseDelayDegrees ()
| Returns phase in degrees of generated signal.
void | SetPhaseDelay (float phaseDelay)
| Sets phase in rad of generated signal.
float | GetDutyCycles ()
| Returns duty cycle of square and pulse shapes (ignored for other shape types)
void | SetDutyCycles (float dutyCycles)
| Sets duty cycle of square and pulse shapes (ignored for other shape types)
SignalGeneratorParametersDto | GetSignalGeneratorValues ()
| Returns object populated with signal generator values.
void | SetSignalGeneratorValues (SignalGeneratorParametersDto parameters)
| Sets object populated with signal generator values.
void | ResetFirmware ()
| Resets Firmware.
bool | GetFrontEndPowerState ()
| Returns FrontEnd power supply state.
void | SetFontEndPowerState (bool state)
| Sets FrontEnd power supply state.
float | GetFrontEndVoltage ()
| Returns FrontEnd supply voltage [V].
void | SetFrontEndVoltage (float frontEndVoltage)
| Sets FrontEnd supply voltage [V].
EPwmFrequency | GetOutputStagePwmFrequency ()
| Returns output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz].
void | SetOutputStagePwmFrequency (EPwmFrequency frequency)
| Sets output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz].
bool | GetOutputStageEnabled ()
| Returns output stage state on specified channel.
void | SetOutputStageEnabled (bool enabled)
| Sets output stage state on specified channel.
bool | GetOutputStageEnabled (EChannel channel)
| Returns if output stage on driver is enabled.
void | SetOutputStageEnabled (EChannel channel, bool enabled)
| Enable/Disable output stage.
float | GetOutputStageCurrentLimit (EChannel channel)
| Returns current limit on output stage.
void | SetOutputStageCurrentLimit (EChannel channel, float value)
| Set current limit on output stage.
float | GetOutputStageOutputCurrent (EChannel channel)
| Returns output stage current.
float | GetOutputStageSensorOutput (EChannel channel)
| Returns Output stage sensor output.
float | GetAdcI ()
| Returns current on specified channel.
float | GetAdcV ()
| Returns voltage on specified channel.
int | GetDevPower ()
| Returns 3v3 for device on specified channel.
void | SetDevPower (int power)
| Sets 3v3 for device on specified channel.
EConnectedDeviceType | GetDeviceType ()
| Returns device type on specified channel.
float | GetUin ()
| Returns UIN.
float | GetIin ()
| Returns IIN.
float | GetUfe ()
| Returns UFE.
float | GetAnalogIn ()
| Returns analog input on specified channel.
float | GetResistance ()
| Returns Resistance on specified channel.
float | GetPinAvg ()
| Returns average input power (integration time = 1 second)
EAutoConfig | GetAutoConfig ()
| Returns parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)
void | SetAutoConfig (EAutoConfig eAutoConfig)
| Sets parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)
List< byte > | GetI2CList ()
| Returns list of I2C addresses on specified channel.
void | SetGpioState (int value)
| Sets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.
int | GetGPIOState ()
| Gets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.
void | SetGpioDirection (int value)
| Set direction of GPIO pins(bitwise; 0=INPUT, 1=OUTPUT) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.
int | GetGPIODirection ()
| Get direction of GPIO pins(bitwise; 0=INPUT, 1=OUTPUT) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.
float | GetLensCompensationOutputCurrent ()
byte[] | GetValue (int registerId)
| Returns register value.
bool | SetValue (int registerId, ValueType value)
| Set register value and returns if write was successful.
void | SetSmartStepManagerFilter (bool isEnabled)
| Activate smart step filter feature on device on channel 0 is managed.
bool | GetSmartStepManagerFilterActivated ()
| Get smart step filter activation status device on channel 0 is managed.
void | SetAnalogInputCurrentMax (float value)
| set maximum current = ADC -> 10V
void | SetAnalogInputCurrentMin (float value)
| set minimum current = ADC -> 0V
float | GetAnalogInputCurrentMax ()
| get maximum current = ADC -> 10V
float | GetAnalogInputCurrentMin ()
| get minimum current = ADC -> 0V
void | SetAnalogInputDiopterMax (float value)
| set maximum Dpt = ADC -> 10V
void | SetAnalogInputDiopterMin (float value)
| set minimum Dpt = ADC -> 0V
float | GetAnalogInputDiopterMax ()
| get maximum Dpt = ADC -> 10V
float | GetAnalogInputDiopterMin ()
| set minimum Dpt = ADC -> 0V
CurrentLimitsDto | GetMinimumAndMaximumCurrent ()
| get minimum and maximum current ADC = 0V, 10V
void | SetAnalogInputVoltagePoints (float[] voltages)
| set interval of points to modify -> new float[] { 0, 10 }
void | SetAnalogInputValuePoints (float[] values)
| set interval of values to modify -> new float[] { -2, 3 } [dpt]
void | SetAnalogInputType (EICC4cPwmUnitType type)
| set active control stage system
EICC4cPwmUnitType | GetAnalogActiveInputType ()
| determined by active control stage system
EICC4cPwmUnitType | GetAnalogInputType ()
| determined by active control stage system
void | SetAnalogInputExtrapolation (EExtrapolationType extrapolation)
| set constant or linear extrapolation
EExtrapolationType | GetAnalogInputExtrapolation ()
| get constant or linear extrapolation
int | ReadNumberOfAvailableSnapshots ()
| Number of available snapshot slots, read-only.
int | ReadSnapshotManagerErrorValue ()
| ID of value which caused the last snapshot error.
int | ReadSnapshotManagerErrorSystemId ()
| ID of system which caused the last snapshot error.
int | ReadSnapshotManagerErrorRegisterId ()
| ID of register which caused the last snapshot error.
int | ReadStartupSnapshotNumber ()
| Snapshot to load on system startup.
bool | WriteStartupSnapshotNumber (int snapshotNumber)
| Snapshot to load on system startup.
bool | LoadSnapshot (int snapshotNumber)
| Load concrete snapshot.
bool | SaveSnapshot (int snapshotNumber)
| Save concrete snapshot.
Public Member Functions inherited from ICC4cPwmSdk.Device.IEcc1cSdkDeviceController
Public Member Functions inherited from ICC4cPwmSdk.Device.IEccStatus
Public Member Functions inherited from ICC4cPwmSdk.Device.IEccDeviceEeprom
Public Member Functions inherited from ICC4cPwmSdk.Device.IEccTemperatureManager
Public Member Functions inherited from ICC4cPwmSdk.Device.IEccInputStage
Public Member Functions inherited from ICC4cPwmSdk.Device.IEccControlModeStage
Public Member Functions inherited from ICC4cPwmSdk.Device.IOutputStage
Public Member Functions inherited from ICC4cPwmSdk.Device.IEccStaticValue
Public Member Functions inherited from ICC4cPwmSdk.Device.IEccSignalGenerator
Public Member Functions inherited from ICC4cPwmSdk.Device.IEccArbitraryVector
Public Member Functions inherited from ICC4cPwmSdk.Device.IEccOffsetAndScale
Public Member Functions inherited from ICC4cPwmSdk.Device.IEccMiscFeatures
Public Member Functions inherited from ICC4cPwmSdk.Device.IEccLensCompensation
Public Member Functions inherited from ICC4cPwmSdk.Device.IEccSnapshotManager
Public Member Functions inherited from ICC4cPwmSdk.Device.IEccAnalogInput
Public Member Functions inherited from ICC4cPwmSdk.Device.IEccSmartStepManager

## Properties
IEccStatus | Status`[get]`
IEccDeviceEeprom | DeviceEeprom`[get]`
IEccTemperatureManager | TemperatureManager`[get]`
IEccSignalFlowManager | SignalFlowManager`[get]`
IEccMiscFeatures | MiscFeatures`[get]`
IEccSnapshotManager | SnapshotManager`[get]`
IEccSmartStepManager | SmartStepManager`[get]`
IEccInputStage | InputStage`[get]`
IEccInputConditioningStage | InputConditioningStage`[get]`
IEccControlModeStage | ControlModeStage`[get]`
IOutputStage | OutputStage`[get]`
IEccLensCompensation | LensCompensation`[get]`
IEccStaticValue | StaticValue`[get]`
IEccSignalGenerator | SignalGenerator`[get]`
IEccArbitraryVector | ArbitraryVector`[get]`
IEccOffsetAndScale | OffsetAndScale`[get]`
IEccAnalogInput | AnalogInput`[get]`
Properties inherited from ICC4cPwmSdk.Device.IEcc1cSdkDeviceController
Properties inherited from ICC4cPwmSdk.Device.IEccSignalFlowManager
Properties inherited from ICC4cPwmSdk.Device.IEccInputStage
Properties inherited from ICC4cPwmSdk.Device.IEccInputConditioningStage
Properties inherited from ICC4cPwmSdk.Device.IEccControlModeStage

## Constructor & Destructor Documentation

## ◆ Ecc1cSdkDeviceController()

ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.Ecc1cSdkDeviceController | ( |  | ) |

## Member Function Documentation

## ◆ ChangeActiveSystem()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ChangeActiveSystem | ( | EInputSignalStageSystem | selectedInputStageSystem | ) |

Changes active input system of the channel.

Returns

Implements ICC4cPwmSdk.Device.IEccInputStage.

## ◆ ChangeModeToPro()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ChangeModeToPro | ( |  | ) |

Switches device to PRO mode.

Returns

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

## ◆ ChangeModeToSimple()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ChangeModeToSimple | ( |  | ) |

Switches device to SIMPLE mode.

Returns

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

## ◆ Connect()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.Connect | ( | int | port | ) |

Connects to the device through COM port.

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

## ◆ Disconnect()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.Disconnect | ( | bool | cleanUp | ) |

Disconnects from the device.

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

## ◆ GetAdcI()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAdcI | ( |  | ) |

Returns current on specified channel.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetAdcV()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAdcV | ( |  | ) |

Returns voltage on specified channel.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetAmplitude()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAmplitude | ( |  | ) |

Returns amplitude of generated signal.

Returns

Implements ICC4cPwmSdk.Device.IEccSignalGenerator.

## ◆ GetAnalogActiveInputType()

EICC4cPwmUnitType ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAnalogActiveInputType | ( |  | ) |

determined by active control stage system

Returns
  EICC4cPwmUnitType

Implements ICC4cPwmSdk.Device.IEccAnalogInput.

## ◆ GetAnalogIn()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAnalogIn | ( |  | ) |

Returns analog input on specified channel.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetAnalogInputCurrentMax()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAnalogInputCurrentMax | ( |  | ) |

get maximum current = ADC -> 10V

Returns
  current

Implements ICC4cPwmSdk.Device.IEccAnalogInput.

## ◆ GetAnalogInputCurrentMin()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAnalogInputCurrentMin | ( |  | ) |

get minimum current = ADC -> 0V

Returns
  current

Implements ICC4cPwmSdk.Device.IEccAnalogInput.

## ◆ GetAnalogInputDiopterMax()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAnalogInputDiopterMax | ( |  | ) |

get maximum Dpt = ADC -> 10V

Returns
  diopter

Implements ICC4cPwmSdk.Device.IEccAnalogInput.

## ◆ GetAnalogInputDiopterMin()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAnalogInputDiopterMin | ( |  | ) |

set minimum Dpt = ADC -> 0V

Returns
  diopter

Implements ICC4cPwmSdk.Device.IEccAnalogInput.

## ◆ GetAnalogInputExtrapolation()

EExtrapolationType ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAnalogInputExtrapolation | ( |  | ) |

get constant or linear extrapolation

Returns
  EExtrapolationType

Implements ICC4cPwmSdk.Device.IEccAnalogInput.

## ◆ GetAnalogInputType()

EICC4cPwmUnitType ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAnalogInputType | ( |  | ) |

determined by active control stage system

Returns
  GetAnalogActiveInputType

Implements ICC4cPwmSdk.Device.IEccAnalogInput.

## ◆ GetAutoConfig()

EAutoConfig ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetAutoConfig | ( |  | ) |

Returns parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetBoardFirmwareBranch()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardFirmwareBranch | ( |  | ) |

Returns branch ID of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IEccStatus.

## ◆ GetBoardFirmwareBuildVersion()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardFirmwareBuildVersion | ( |  | ) |

Returns firmware build version of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IEccStatus.

## ◆ GetBoardFirmwareId()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardFirmwareId | ( |  | ) |

Returns firmware ID of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IEccStatus.

## ◆ GetBoardFirmwareMajorVersion()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardFirmwareMajorVersion | ( |  | ) |

Returns firmware major version of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IEccStatus.

## ◆ GetBoardFirmwareMinorVersion()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardFirmwareMinorVersion | ( |  | ) |

Returns firmware minor version of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IEccStatus.

## ◆ GetBoardFirmwareRevisionVersion()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardFirmwareRevisionVersion | ( |  | ) |

Returns firmware revision version of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IEccStatus.

## ◆ GetBoardFirmwareType()

char ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardFirmwareType | ( |  | ) |

Returns type of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IEccStatus.

## ◆ GetBoardOutputTemperature()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardOutputTemperature | ( |  | ) |

Returns board output temperature.

Returns

Implements ICC4cPwmSdk.Device.IEccTemperatureManager.

## ◆ GetBoardOutputTemperatureThreshold()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardOutputTemperatureThreshold | ( |  | ) |

Returns board output temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.IEccTemperatureManager.

## ◆ GetBoardPowerTemperature()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardPowerTemperature | ( |  | ) |

Returns board power temperature.

Returns

Implements ICC4cPwmSdk.Device.IEccTemperatureManager.

## ◆ GetBoardPowerTemperatureThreshold()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBoardPowerTemperatureThreshold | ( |  | ) |

Returns board power temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.IEccTemperatureManager.

## ◆ GetBytes()

byte[] ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetBytes | ( | int | index,
|  | int | length )

Returns EEPROM bytes of the product.

Parameters

  index | Index of the start
  length | Amount of Get bytes

Returns

Implements ICC4cPwmSdk.Device.IEccDeviceEeprom.

## ◆ GetCurrent()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetCurrent | ( |  | ) |

Returns static input in amperes.

Returns

Implements ICC4cPwmSdk.Device.IEccStaticValue.

## ◆ GetDeviceEepromSize()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetDeviceEepromSize | ( |  | ) |

Returns EEPROM size of the device.

Returns

Implements ICC4cPwmSdk.Device.IEccDeviceEeprom.

## ◆ GetDeviceStatus()

IDeviceErrorState[] ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetDeviceStatus | ( |  | ) |

Returns states of the device.

Returns

Implements ICC4cPwmSdk.Device.IEccStatus.

## ◆ GetDeviceTemperature()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetDeviceTemperature | ( |  | ) |

Returns device temperature.

Returns

Implements ICC4cPwmSdk.Device.IEccTemperatureManager.

## ◆ GetDeviceTemperatureThreshold()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetDeviceTemperatureThreshold | ( |  | ) |

Returns board temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.IEccTemperatureManager.

## ◆ GetDeviceType()

EConnectedDeviceType ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetDeviceType | ( |  | ) |

Returns device type on specified channel.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetDevPower()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetDevPower | ( |  | ) |

Returns 3v3 for device on specified channel.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetDiopter()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetDiopter | ( |  | ) |

Returns static input in dpt.

Returns

Implements ICC4cPwmSdk.Device.IEccStaticValue.

## ◆ GetDutyCycles()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetDutyCycles | ( |  | ) |

Returns duty cycle of square and pulse shapes (ignored for other shape types)

Returns

Implements ICC4cPwmSdk.Device.IEccSignalGenerator.

## ◆ GetEepromActiveChannel()

EChannel ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetEepromActiveChannel | ( |  | ) |

Returns the active EEPROM channel.

Returns

Implements ICC4cPwmSdk.Device.IEccStatus.

## ◆ GetEepromSubVersion()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetEepromSubVersion | ( |  | ) |

Returns EEPROM subversion.

Returns

Implements ICC4cPwmSdk.Device.IEccDeviceEeprom.

## ◆ GetEepromVersion()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetEepromVersion | ( |  | ) |

Returns EEPROM version.

Returns

Implements ICC4cPwmSdk.Device.IEccDeviceEeprom.

## ◆ GetElectronicSerialNumber()

string ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetElectronicSerialNumber | ( |  | ) |

Returns serial number of the electronic.

Returns

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

## ◆ GetFirmwareSerialNumber()

string ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetFirmwareSerialNumber | ( |  | ) |

Returns firmware serial number.

Returns

Implements ICC4cPwmSdk.Device.IEccStatus.

## ◆ GetFrequency()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetFrequency | ( |  | ) |

Returns frequency in Hz of generated signal.

Returns

Implements ICC4cPwmSdk.Device.IEccSignalGenerator.

## ◆ GetFrontEndPowerState()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetFrontEndPowerState | ( |  | ) |

Returns FrontEnd power supply state.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetFrontEndVoltage()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetFrontEndVoltage | ( |  | ) |

Returns FrontEnd supply voltage [V].

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetGitHeadSha1()

string ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetGitHeadSha1 | ( |  | ) |

Returns Git Head SHA1.

Returns

Implements ICC4cPwmSdk.Device.IEccStatus.

## ◆ GetGPIODirection()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetGPIODirection | ( |  | ) |

Get direction of GPIO pins(bitwise; 0=INPUT, 1=OUTPUT) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetGPIOState()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetGPIOState | ( |  | ) |

Gets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetI2CList()

List< byte > ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetI2CList | ( |  | ) |

Returns list of I2C addresses on specified channel.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetIin()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetIin | ( |  | ) |

Returns IIN.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetLensCompensationOutputCurrent()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetLensCompensationOutputCurrent | ( |  | ) |

Implements ICC4cPwmSdk.Device.IEccLensCompensation.

## ◆ GetLensSerialNumber()

string ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetLensSerialNumber | ( |  | ) |

Returns serial number of the connected lens.

Returns

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

## ◆ GetLensType()

EConnectedDeviceType ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetLensType | ( |  | ) |

Returns type of the product on specific channel.

Returns

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

## ◆ GetMaximumSamplingRate()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetMaximumSamplingRate | ( |  | ) |

Returns maximum sampling rate in Hz.

Returns

Implements ICC4cPwmSdk.Device.IEccArbitraryVector.

## ◆ GetMaxNegativeCurrent()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetMaxNegativeCurrent | ( |  | ) |

Returns max negative current.

Returns

Implements ICC4cPwmSdk.Device.IEccDeviceEeprom.

## ◆ GetMaxPositiveCurrent()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetMaxPositiveCurrent | ( |  | ) |

Returns max positive current.

Returns

Implements ICC4cPwmSdk.Device.IEccDeviceEeprom.

## ◆ GetMinimumAndMaximumCurrent()

CurrentLimitsDto ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetMinimumAndMaximumCurrent | ( |  | ) |

get minimum and maximum current ADC = 0V, 10V

Returns
  CurrentLimitsDto

Implements ICC4cPwmSdk.Device.IEccAnalogInput.

## ◆ GetMinimumSamplingRate()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetMinimumSamplingRate | ( |  | ) |

Returns minimum sampling rate in Hz.

Returns

Implements ICC4cPwmSdk.Device.IEccArbitraryVector.

## ◆ GetOqcResult()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetOqcResult | ( |  | ) |

Returns OQC result of the device.

Returns

Implements ICC4cPwmSdk.Device.IEccDeviceEeprom.

## ◆ GetOutputStageCurrentLimit()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetOutputStageCurrentLimit | ( | EChannel | channel | ) |

Returns current limit on output stage.

Returns

Implements ICC4cPwmSdk.Device.IOutputStage.

## ◆ GetOutputStageEnabled() [1/2]

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetOutputStageEnabled | ( |  | ) |

Returns output stage state on specified channel.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetOutputStageEnabled() [2/2]

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetOutputStageEnabled | ( | EChannel | channel | ) |

Returns if output stage on driver is enabled.

Returns

Implements ICC4cPwmSdk.Device.IOutputStage.

## ◆ GetOutputStageOutputCurrent()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetOutputStageOutputCurrent | ( | EChannel | channel | ) |

Returns output stage current.

Returns

Implements ICC4cPwmSdk.Device.IOutputStage.

## ◆ GetOutputStagePwmFrequency()

EPwmFrequency ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetOutputStagePwmFrequency | ( |  | ) |

Returns output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz].

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetOutputStageSensorOutput()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetOutputStageSensorOutput | ( | EChannel | channel | ) |

Returns Output stage sensor output.

Returns

Implements ICC4cPwmSdk.Device.IOutputStage.

## ◆ GetPartConfiguration()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetPartConfiguration | ( |  | ) |

Returns part configuration value.

Returns

Implements ICC4cPwmSdk.Device.IEccDeviceEeprom.

## ◆ GetPartConfigurationVersion()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetPartConfigurationVersion | ( |  | ) |

Returns part configuration version value.

Returns

Implements ICC4cPwmSdk.Device.IEccDeviceEeprom.

## ◆ GetPhaseDelay()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetPhaseDelay | ( |  | ) |

Returns phase in rad of generated signal.

Returns

Implements ICC4cPwmSdk.Device.IEccSignalGenerator.

## ◆ GetPhaseDelayDegrees()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetPhaseDelayDegrees | ( |  | ) |

Returns phase in degrees of generated signal.

Returns

Implements ICC4cPwmSdk.Device.IEccSignalGenerator.

## ◆ GetPinAvg()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetPinAvg | ( |  | ) |

Returns average input power (integration time = 1 second)

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetProductionTimeStamp()

uint ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetProductionTimeStamp | ( |  | ) |

Returns production time stamp of the device.

Returns

Implements ICC4cPwmSdk.Device.IEccDeviceEeprom.

## ◆ GetResistance()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetResistance | ( |  | ) |

Returns Resistance on specified channel.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetSampleRate()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetSampleRate | ( |  | ) |

Returns sample rate in Hz.

Returns

Implements ICC4cPwmSdk.Device.IEccArbitraryVector.

## ◆ GetScale()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetScale | ( |  | ) |

Returns multiplier of input.

Returns

Implements ICC4cPwmSdk.Device.IEccOffsetAndScale.

## ◆ GetShape()

ESignalGeneratorShape ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetShape | ( |  | ) |

Returns shape of waveform.

Returns

Implements ICC4cPwmSdk.Device.IEccSignalGenerator.

## ◆ GetSignalGeneratorValues()

SignalGeneratorParametersDto ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetSignalGeneratorValues | ( |  | ) |

Returns object populated with signal generator values.

Returns

Implements ICC4cPwmSdk.Device.IEccSignalGenerator.

## ◆ GetSmartStepManagerFilterActivated()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetSmartStepManagerFilterActivated | ( |  | ) |

Get smart step filter activation status device on channel 0 is managed.

Returns

Implements ICC4cPwmSdk.Device.IEccSmartStepManager.

## ◆ GetUfe()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetUfe | ( |  | ) |

Returns UFE.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetUin()

float ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetUin | ( |  | ) |

Returns UIN.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ GetValue()

byte[] ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetValue | ( | int | registerId | ) |

Returns register value.

Returns

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

## ◆ GetVectorValues()

float[] ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GetVectorValues | ( |  | ) |

Returns list of vector values

Returns

Implements ICC4cPwmSdk.Device.IEccArbitraryVector.

## ◆ GoToDfuMode()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.GoToDfuMode | ( |  | ) |

Switches device to DFU mode.

Returns

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

## ◆ IsConnected()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.IsConnected | ( |  | ) |

Returns true, if connection to device is established.

Returns

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

## ◆ LoadSnapshot()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.LoadSnapshot | ( | int | snapshotNumber | ) |

Load concrete snapshot.

Returns
  true/false

Implements ICC4cPwmSdk.Device.IEccSnapshotManager.

## ◆ LockDeviceEepromWriting()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.LockDeviceEepromWriting | ( |  | ) |

Locks device EEPROM writing.

Returns

Implements ICC4cPwmSdk.Device.IEccDeviceEeprom.

## ◆ ReadNumberOfAvailableSnapshots()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ReadNumberOfAvailableSnapshots | ( |  | ) |

Number of available snapshot slots, read-only.

Returns
  capacity

Implements ICC4cPwmSdk.Device.IEccSnapshotManager.

## ◆ ReadSnapshotManagerErrorRegisterId()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ReadSnapshotManagerErrorRegisterId | ( |  | ) |

ID of register which caused the last snapshot error.

Returns
  errorRegisterId

Implements ICC4cPwmSdk.Device.IEccSnapshotManager.

## ◆ ReadSnapshotManagerErrorSystemId()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ReadSnapshotManagerErrorSystemId | ( |  | ) |

ID of system which caused the last snapshot error.

Returns
  errorSystemId

Implements ICC4cPwmSdk.Device.IEccSnapshotManager.

## ◆ ReadSnapshotManagerErrorValue()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ReadSnapshotManagerErrorValue | ( |  | ) |

ID of value which caused the last snapshot error.

Returns
  errorValue

Implements ICC4cPwmSdk.Device.IEccSnapshotManager.

## ◆ ReadStartupSnapshotNumber()

int ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ReadStartupSnapshotNumber | ( |  | ) |

Snapshot to load on system startup.

Returns
  snapshotNumber

Implements ICC4cPwmSdk.Device.IEccSnapshotManager.

## ◆ Reconnect()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.Reconnect | ( |  | ) |

Reconnects to alGety connected device.

Returns

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

## ◆ ReparseDeviceEeprom()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ReparseDeviceEeprom | ( |  | ) |

Reparse device EEPROM.

Returns

Implements ICC4cPwmSdk.Device.IEccDeviceEeprom.

## ◆ ResetErrorFlags()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ResetErrorFlags | ( |  | ) |

Resets error flag to 0.

Returns

Implements ICC4cPwmSdk.Device.IEccStatus.

## ◆ ResetFirmware()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ResetFirmware | ( |  | ) |

Resets Firmware.

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ SaveSnapshot()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SaveSnapshot | ( | int | snapshotNumber | ) |

Save concrete snapshot.

Returns
  true/false

Implements ICC4cPwmSdk.Device.IEccSnapshotManager.

## ◆ SetActiveSystem()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetActiveSystem | ( | EIcc4cControlModeSystems | controlModeSystem | ) |

Sets active control mode system of the axis.

Returns

Implements ICC4cPwmSdk.Device.IEccControlModeStage.

## ◆ SetAmplitude()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAmplitude | ( | float | value | ) |

Sets amplitude of generated signal.

Returns

Implements ICC4cPwmSdk.Device.IEccSignalGenerator.

## ◆ SetAnalogInputCurrentMax()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAnalogInputCurrentMax | ( | float | current | ) |

set maximum current = ADC -> 10V

Parameters

  current | current

Returns

Implements ICC4cPwmSdk.Device.IEccAnalogInput.

## ◆ SetAnalogInputCurrentMin()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAnalogInputCurrentMin | ( | float | current | ) |

set minimum current = ADC -> 0V

Parameters

  current | current

Returns

Implements ICC4cPwmSdk.Device.IEccAnalogInput.

## ◆ SetAnalogInputDiopterMax()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAnalogInputDiopterMax | ( | float | diopter | ) |

set maximum Dpt = ADC -> 10V

Parameters

  diopter | diopter

Returns

Implements ICC4cPwmSdk.Device.IEccAnalogInput.

## ◆ SetAnalogInputDiopterMin()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAnalogInputDiopterMin | ( | float | diopter | ) |

set minimum Dpt = ADC -> 0V

Parameters

  diopter | diopter

Returns

Implements ICC4cPwmSdk.Device.IEccAnalogInput.

## ◆ SetAnalogInputExtrapolation()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAnalogInputExtrapolation | ( | EExtrapolationType | extrapolation | ) |

set constant or linear extrapolation

Parameters

  extrapolation | extrapolation

Returns

Implements ICC4cPwmSdk.Device.IEccAnalogInput.

## ◆ SetAnalogInputType()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAnalogInputType | ( | EICC4cPwmUnitType | unitType | ) |

set active control stage system

Parameters

  unitType | unit type

Returns

Implements ICC4cPwmSdk.Device.IEccAnalogInput.

## ◆ SetAnalogInputValuePoints()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAnalogInputValuePoints | ( | float[] | values | ) |

set interval of values to modify -> new float[] { -2, 3 } [dpt]

Parameters

  values | values

Returns

Implements ICC4cPwmSdk.Device.IEccAnalogInput.

## ◆ SetAnalogInputVoltagePoints()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAnalogInputVoltagePoints | ( | float[] | voltages | ) |

set interval of points to modify -> new float[] { 0, 10 }

Parameters

  voltages | voltages

Returns

Implements ICC4cPwmSdk.Device.IEccAnalogInput.

## ◆ SetAutoConfig()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetAutoConfig | ( | EAutoConfig | eAutoConfig | ) |

Sets parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ SetBoardOutputTemperatureThreshold()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetBoardOutputTemperatureThreshold | ( | float | temperatureThreshold | ) |

Sets board output temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.IEccTemperatureManager.

## ◆ SetBoardPowerTemperatureThreshold()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetBoardPowerTemperatureThreshold | ( | float | temperatureThreshold | ) |

Sets board power temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.IEccTemperatureManager.

## ◆ SetBytes()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetBytes | ( | int | index,
|  | byte[] | inputBytes )

Sets EEPROM bytes of the product.

Parameters

  index | Index of the start
  inputBytes | Bytes to be set
  channel |

Returns

Implements ICC4cPwmSdk.Device.IEccDeviceEeprom.

## ◆ SetCurrent()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetCurrent | ( | float | value | ) |

Sets static input in amperes.

Returns

Implements ICC4cPwmSdk.Device.IEccStaticValue.

## ◆ SetDeviceTemperatureThreshold()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetDeviceTemperatureThreshold | ( | float | temperatureThreshold | ) |

Sets device temperature threshold.

Returns

Implements ICC4cPwmSdk.Device.IEccTemperatureManager.

## ◆ SetDevPower()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetDevPower | ( | int | power | ) |

Sets 3v3 for device on specified channel.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ SetDiopter()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetDiopter | ( | float | value | ) |

Sets static input in dpt.

Returns

Implements ICC4cPwmSdk.Device.IEccStaticValue.

## ◆ SetDutyCycles()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetDutyCycles | ( | float | dutyCycles | ) |

Sets duty cycle of square and pulse shapes (ignored for other shape types)

Returns

Implements ICC4cPwmSdk.Device.IEccSignalGenerator.

## ◆ SetFontEndPowerState()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetFontEndPowerState | ( | bool | state | ) |

Sets FrontEnd power supply state.

Parameters

  state |

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ SetFrequency()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetFrequency | ( | float | value | ) |

Sets frequency in Hz of generated signal.

Returns

Implements ICC4cPwmSdk.Device.IEccSignalGenerator.

## ◆ SetFrontEndVoltage()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetFrontEndVoltage | ( | float | frontEndVoltage | ) |

Sets FrontEnd supply voltage [V].

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ SetGpioDirection()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetGpioDirection | ( | int | value | ) |

Set direction of GPIO pins(bitwise; 0=INPUT, 1=OUTPUT) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ SetGpioState()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetGpioState | ( | int | value | ) |

Sets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ SetOutputStageCurrentLimit()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetOutputStageCurrentLimit | ( | EChannel | channel,
|  | float | limit )

Set current limit on output stage.

Returns

Implements ICC4cPwmSdk.Device.IOutputStage.

## ◆ SetOutputStageEnabled() [1/2]

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetOutputStageEnabled | ( | bool | enabled | ) |

Sets output stage state on specified channel.

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ SetOutputStageEnabled() [2/2]

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetOutputStageEnabled | ( | EChannel | channel,
|  | bool | enabled )

Enable/Disable output stage.

Returns

Implements ICC4cPwmSdk.Device.IOutputStage.

## ◆ SetOutputStagePwmFrequency()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetOutputStagePwmFrequency | ( | EPwmFrequency | frequency | ) |

Sets output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz].

Returns

Implements ICC4cPwmSdk.Device.IEccMiscFeatures.

## ◆ SetPhaseDelay()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetPhaseDelay | ( | float | phaseDelay | ) |

Sets phase in rad of generated signal.

Returns

Implements ICC4cPwmSdk.Device.IEccSignalGenerator.

## ◆ SetPhaseDelayDegrees()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetPhaseDelayDegrees | ( | float | phaseDelay | ) |

Sets phase in degrees of generated signal.

Returns

Implements ICC4cPwmSdk.Device.IEccSignalGenerator.

## ◆ SetSampleRate()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetSampleRate | ( | float | value | ) |

Sets sample rate in Hz.

Returns

Implements ICC4cPwmSdk.Device.IEccArbitraryVector.

## ◆ SetScale()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetScale | ( | float | value | ) |

Sets multiplier of input.

Returns

Implements ICC4cPwmSdk.Device.IEccOffsetAndScale.

## ◆ SetShape()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetShape | ( | ESignalGeneratorShape | shape | ) |

Sets shape of waveform.

Returns

Implements ICC4cPwmSdk.Device.IEccSignalGenerator.

## ◆ SetSignalGeneratorValues()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetSignalGeneratorValues | ( | SignalGeneratorParametersDto | axisValues | ) |

Sets object populated with signal generator values.

Returns

Implements ICC4cPwmSdk.Device.IEccSignalGenerator.

## ◆ SetSmartStepManagerFilter()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetSmartStepManagerFilter | ( | bool | isEnabled | ) |

Activate smart step filter feature on device on channel 0 is managed.

Returns

Implements ICC4cPwmSdk.Device.IEccSmartStepManager.

## ◆ SetUnitType()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetUnitType | ( | EICC4cPwmUnitType | unit | ) |

Sets active unit type on channel.

Returns

Implements ICC4cPwmSdk.Device.IEccSignalGenerator.

## ◆ SetValue()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetValue | ( | int | registerId,
|  | ValueType | value )

Set register value and returns if write was successful.

Returns

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

## ◆ SetVectorValues()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SetVectorValues | ( | float[] | values,
|  | int | startIndex = 0 )

Sets list of vector values

Parameters

  channel | channel
  values | List of vector values
  startIndex |

Returns

Implements ICC4cPwmSdk.Device.IEccArbitraryVector.

## ◆ SwitchArbitraryVector()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SwitchArbitraryVector | ( | bool | running | ) |

Sets status of signal generator (running, stopped).

Returns

Implements ICC4cPwmSdk.Device.IEccArbitraryVector.

## ◆ SwitchRunning()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SwitchRunning | ( | bool | enable | ) |

Disable/enable signal generator (running, stopped).

Returns

Implements ICC4cPwmSdk.Device.IEccSignalGenerator.

## ◆ UnlockDeviceEepromWriting()

void ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.UnlockDeviceEepromWriting | ( |  | ) |

Unlocks device EEPROM writing.

Returns

Implements ICC4cPwmSdk.Device.IEccDeviceEeprom.

## ◆ WriteStartupSnapshotNumber()

bool ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.WriteStartupSnapshotNumber | ( | int | snapshotNumber | ) |

Snapshot to load on system startup.

Returns
  true/false

Implements ICC4cPwmSdk.Device.IEccSnapshotManager.

## Property Documentation

## ◆ AnalogInput

IEccAnalogInput ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.AnalogInput
| get

Implements ICC4cPwmSdk.Device.IEccInputStage.

## ◆ ArbitraryVector

IEccArbitraryVector ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ArbitraryVector
| get

Implements ICC4cPwmSdk.Device.IEccInputStage.

## ◆ ControlModeStage

IEccControlModeStage ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.ControlModeStage
| get

Implements ICC4cPwmSdk.Device.IEccSignalFlowManager.

## ◆ DeviceEeprom

IEccDeviceEeprom ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.DeviceEeprom
| get

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

## ◆ InputConditioningStage

IEccInputConditioningStage ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.InputConditioningStage
| get

Implements ICC4cPwmSdk.Device.IEccSignalFlowManager.

## ◆ InputStage

IEccInputStage ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.InputStage
| get

Implements ICC4cPwmSdk.Device.IEccSignalFlowManager.

## ◆ LensCompensation

IEccLensCompensation ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.LensCompensation
| get

Implements ICC4cPwmSdk.Device.IEccControlModeStage.

## ◆ MiscFeatures

IEccMiscFeatures ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.MiscFeatures
| get

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

## ◆ OffsetAndScale

IEccOffsetAndScale ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.OffsetAndScale
| get

Implements ICC4cPwmSdk.Device.IEccInputConditioningStage.

## ◆ OutputStage

IOutputStage ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.OutputStage
| get

Implements ICC4cPwmSdk.Device.IEccSignalFlowManager.

## ◆ SignalFlowManager

IEccSignalFlowManager ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SignalFlowManager
| get

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

## ◆ SignalGenerator

IEccSignalGenerator ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SignalGenerator
| get

Implements ICC4cPwmSdk.Device.IEccInputStage.

## ◆ SmartStepManager

IEccSmartStepManager ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SmartStepManager
| get

Implements ICC4cPwmSdk.Device.IEccSignalFlowManager.

## ◆ SnapshotManager

IEccSnapshotManager ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.SnapshotManager
| get

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

## ◆ StaticValue

IEccStaticValue ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.StaticValue
| get

Implements ICC4cPwmSdk.Device.IEccInputStage.

## ◆ Status

IEccStatus ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.Status
| get

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

## ◆ TemperatureManager

IEccTemperatureManager ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.TemperatureManager
| get

Implements ICC4cPwmSdk.Device.IEcc1cSdkDeviceController.

The documentation for this class was generated from the following file:

- source/Ecc1cSdkDeviceController.cs